<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DocumentStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //'bd' => ['required','min:3'],
            //'departement' => ['required','min:3'],
            "nom" => ['required','min:3'],
            "url" => ['required','min:3'],
            "theme_id" => ['nullable','integer'],
            "description" => ['required','min:3'],
            "categorie" => "required"
        ];
    }
}
